">

- NAME
- SYNOPSIS
- DESCRIPTION
- INSTANCE METHODS
- AUTHOR
- SEE ALSO

# NAME

Lintian::Check -- Common facilities for Lintian checks

# SYNOPSIS

     use Moo;
     use namespace::clean;

     with('Lintian::Check');

# DESCRIPTION

A class for collecting Lintian tags as they are issued

# INSTANCE METHODS

name
processable

  Get processable underlying this check.

group

  Get group that the processable is in.

profile
visit_files
run

  Run the check.

find_tag
pointed_hint
hint

# AUTHOR

Originally written by Felix Lechner <felix.lechner@lease-up.com> for Lintian.

# SEE ALSO

lintian(1)

<<